Get Organisations
curl --request GET \
--url https://platform.versori.com/api/organisations/v1/organisations \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.versori.com/api/organisations/v1/organisations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.versori.com/api/organisations/v1/organisations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 123,
"next": "<string>",
"prev": "<string>",
"organisations": [
{
"id": "<string>",
"slug": "<string>",
"displayName": "<string>",
"owner": "<string>",
"billing": {
"platformId": "<string>",
"customerId": "<string>",
"billingEmail": "<string>",
"isSubscriptionActive": 123,
"billingPeriodStart": "2023-12-25",
"billingPeriodEnd": "2023-12-25",
"platformType": "<string>",
"subscriptionId": "<string>",
"recentSubscriptions": [
{
"id": "<string>",
"rawData": "<unknown>"
}
],
"hasMoreSubscriptions": true,
"freeTrialEndDate": "2023-12-25",
"isBespoke": true,
"boardQuota": 123,
"hubBoardQuota": 123
},
"systemServiceAccountClientID": "<string>",
"plan": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"cause": "<string>"
}API Reference
Get Organisations
GetOrganisations returns a paginated list of Organisations which the current user is a member of. If there is no filter provided, the result will always contain the active Organisation as the first item of the first page. Otherwise, the filter is applied to the name and slug using a case-insensitive substring match.
GET
/
organisations
Get Organisations
⌘I